import 'dart:convert';

import 'package:fealm/model/Many2One.dart';
import 'package:sprintf/sprintf.dart';

class FieldWrapper {

   static String fromMany2One(Many2One value){
     if(value!=null)
          return jsonEncode({'id':value.id,'name':value.name});
     return null;
   }

   static Many2One toMany2One(String value){
     if(value!=null) {
       Map<String, dynamic> map = jsonDecode(value);
       return Many2One(map['id'],map['name']);
     }
     return null;
   }


   static int fromBool(bool value){
     return value ? 1 : 0;
   }

   static bool toBool(int value){
     return value !=0 ? true : false;
   }



}