import 'package:fealm/fealm/FealmObject.dart';


class ProjectTask extends FealmObject<ProjectTask>{

  String display_name;
  String name;
  String write_date;

  @override
  ProjectTask fromJson(Map<String, Object> map) {
    this.id = map['id'];
    this.write_date = map['write_date'];
    this.display_name = map['display_name'];
    this.name = map['name'];
    return this;
  }

  @override
  Map<String, Object> toJson() {
    Map<String, Object> map = new Map();
    map['id'] = this.id;
    map['write_date'] = this.write_date;
    map['display_name'] = this.display_name;
    map['name'] = this.name;
    return map;
  }

  @override
  Map<String, Type> convertType() {
    Map<String, Type> map = Map();
    map['id'] = int;
    map['write_date'] = String;
    map['name'] = String;
    map['display_name'] = String;
    return map;
  }
}